Name: ovirt-engine-sdk-java
Version: 1.0.0.18
Release: 2%{?dist}
Summary: oVirt Engine Software Development Kit (Java)
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org

# git clone git://gerrit.ovirt.org/ovirt-engine-sdk-java
# cd ovirt-engine-sdk-java
# git archive --prefix ovirt-engine-sdk-java-1.0.0.18/ 1.0.0.18 | xz > ovirt-engine-sdk-java-1.0.0.18.tar.xz
Source: %{name}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: apache-commons-compress
BuildRequires: apache-commons-logging
BuildRequires: httpcomponents-client
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-source-plugin

Requires: apache-commons-beanutils
Requires: apache-commons-logging
Requires: commons-codec
Requires: httpcomponents-client
Requires: java
Requires: jpackage-utils
Requires: log4j


%description
This package contains The oVirt-Engine Java Software Development Kit.
With this package, custom java software can be built for oVirt-Engine.


%package javadoc
Summary: API documentation for %{name}
Group: Documentation
Requires: jpackage-utils


%description javadoc
This package provides %{name}.


%prep

# Extract the source:
%setup -q

# In the tree provided by the upstream project the relevant source for this
# package is inside a subdirectory, but our build tools expect the POM files in
# the current directory, so in order to simplify things we move everything to
# the top level before starting the build:
mv ovirt-engine-sdk-java/* .


%build

# Build the binaries and the javadoc:
mvn-rpmbuild \
  install \
  javadoc:aggregate


%install

# Jar files:
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p target/%{name}-%{version}-1.jar %{buildroot}%{_javadir}/%{name}/%{name}.jar

# POM files:
mkdir -p %{buildroot}%{_mavenpomdir}
cp -p pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom

# Dependency map:
%add_maven_depmap JPP.%{name}-%{name}.pom %{name}/%{name}.jar

# Javadoc files:
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/*  %{buildroot}%{_javadocdir}/%{name}


%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}
%doc AUTHORS
%doc README
%doc LICENSE


%files javadoc
%{_javadocdir}/%{name}
%doc AUTHORS
%doc README
%doc LICENSE


%changelog
* Wed Oct 09 2013 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.0.18-2
- Adapted for build tools used in Fedora 18

* Wed Oct 09 2013 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.0.18-1
- Initial packaging

